import { createRouter, createWebHistory, RouteRecordRaw } from "vue-router";
import Login from "@/features/login/Login.vue";
import Layout from "@/components/Layout.vue";

const routes = [
  { path: "/", component: Login },
  { path: "/Login", component: Login, name: "Login" },
  {
    path: "/admin/",
    children: [
      {
        path: "rootOrg",
        component: () => import("@/features/rootOrg/RootOrg.vue"),
      },
    ],
    component: Layout,
  },
  {
    path: "/:pathMatch(.*)*",
    name: "NotFound",
    component: () => import("@/components/404.vue"),
  },
] as RouteRecordRaw[];

// 3. Create the router instance and pass the `routes` option
// You can pass in additional options here, but let's
// keep it simple for now.
const router = createRouter({
  // 4. Provide the history implementation to use. We are using the hash history for simplicity here.
  history: createWebHistory(""),
  routes, // short for `routes: routes`
});

export default router;
