import { setSessionId, setToken } from "@/auth/auth";
import { Role } from "@/types";
import { defineStore } from "pinia";

// main is the name of the store. It is unique across your application
// and will appear in devtools
export const useMainStore = defineStore("main", {
  // a function that returns a fresh state
  state: () => {
    return {
      globalMask: false,
      userInfo: {
        userId: -1,
        identity: "",
        displayName: "",
        rootOrgId: "",
        rootOrgName: "",
        token: "",
        roleList: [] as Role[],
      },
    };
  },
  getters: {},
  actions: {
    setUserInfo(res: any) {
      this.userInfo = res;
      setToken(this.userInfo.token);
      setSessionId(this.userInfo.identity);
    },
  },
});
